Bug 61631 - Add ENABLE(CSS_REGIONS) guard for CSS Regions support
Summary: Add ENABLE(CSS_REGIONS) guard for CSS Regions support
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 57312
  Show dependency treegraph
 
Reported: 2011-05-27 07:05 PDT by Mihnea Ovidenie
Modified: 2011-06-06 08:27 PDT (History)
4 users (show)

See Also:


Attachments
Patch (22.79 KB, patch)
2011-05-27 08:20 PDT, Mihnea Ovidenie
no flags Details | Formatted Diff | Diff
Patch (22.62 KB, patch)
2011-06-05 23:44 PDT, Mihnea Ovidenie
tkent: review-
commit-queue: commit-queue-
Details | Formatted Diff | Diff
Second patch (22.69 KB, patch)
2011-06-06 00:41 PDT, Mihnea Ovidenie
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mihnea Ovidenie 2011-05-27 07:05:26 PDT
Modify the build system to support the new flag for CSSRegions. By default, the support for CSSRegions is turned off.
Comment 1 Mihnea Ovidenie 2011-05-27 08:20:43 PDT
Created attachment 95175 [details]
Patch

First version of the patch. The patch modifies the project files for Mac build and for Windows (Cairo too) build.
Comment 2 Kent Tamura 2011-05-30 08:27:24 PDT
Comment on attachment 95175 [details]
Patch

The change looks ok.

I feel ENABLE_REGIONS is too simple, and like ENABLE_CSS_REGIONS, ENABLE_REGIONS_LAYOUT, or something.
Comment 3 Mihnea Ovidenie 2011-05-30 23:46:36 PDT
(In reply to comment #2)
> (From update of attachment 95175 [details])
> The change looks ok.
> 
> I feel ENABLE_REGIONS is too simple, and like ENABLE_CSS_REGIONS, ENABLE_REGIONS_LAYOUT, or something.

I used ENABLE(REGIONS) since this was the original guard in our work. ENABLE(CSS_REGIONS) may be a better name. While looking over the FeatureDefines.xcconfig files, i was not able to find out any defines using 'CSS' or 'LAYOUT' in their names.
Comment 4 Kent Tamura 2011-06-03 06:23:47 PDT
(In reply to comment #3)
> I used ENABLE(REGIONS) since this was the original guard in our work. 

It makes no sense for WebKit community.

> While looking over the FeatureDefines.xcconfig files, i was not able to find out any defines using 'CSS' or 'LAYOUT' in their names.

That menas we have no other flags for CSS or layout.

We have ENABLE_SVG_USE.  Do you think it's ok to name it ENABLE_USE if no other SVG flags?
Comment 5 Mihnea Ovidenie 2011-06-03 06:51:36 PDT
(In reply to comment #4)
> (In reply to comment #3)
> > I used ENABLE(REGIONS) since this was the original guard in our work. 
> 
> It makes no sense for WebKit community.
> 

Ok, you know better.

> > While looking over the FeatureDefines.xcconfig files, i was not able to find out any defines using 'CSS' or 'LAYOUT' in their names.
> 
> That menas we have no other flags for CSS or layout.
> 
> We have ENABLE_SVG_USE.  Do you think it's ok to name it ENABLE_USE if no other SVG flags?

Good point. In this case, i vote for ENABLE_CSS_REGIONS. Should i rewrite the patch to use ENABLE_CSS_REGIONS and post a new version of the patch? Are you going to review it?
Comment 6 Kent Tamura 2011-06-03 07:04:13 PDT
(In reply to comment #5)
> Good point. In this case, i vote for ENABLE_CSS_REGIONS. Should i rewrite the patch to use ENABLE_CSS_REGIONS and post a new version of the patch? Are you going to review it?

Yeah, I'll review soon when you post a new patch.
Comment 7 Mihnea Ovidenie 2011-06-05 23:44:31 PDT
Created attachment 96066 [details]
Patch

I have changed ENABLE(REGIONS) to ENABLE(CSS_REGIONS).
Comment 8 Kent Tamura 2011-06-05 23:48:08 PDT
Comment on attachment 96066 [details]
Patch

Looks ok.
Comment 9 WebKit Commit Bot 2011-06-06 00:25:42 PDT
Comment on attachment 96066 [details]
Patch

Rejecting attachment 96066 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=cr-jail-7', 'land-a..." exit_code: 2

Last 500 characters of output:
ing: cannot set LC_CTYPE locale
svnlook: warning: environment variable LANG is not set
svnlook: warning: please check that your locale name is correct

    The following ChangeLog files contain OOPS:

        trunk/Source/WebCore/ChangeLog

    Please don't ever say "OOPS" in a ChangeLog file.
 at /usr/local/git/libexec/git-core/git-svn line 576


Failed to run "[u'git', u'svn', u'dcommit']" exit_code: 1 cwd: /mnt/git/webkit-commit-queue/
Updating OpenSource
Current branch master is up to date.

Full output: http://queues.webkit.org/results/8776046
Comment 10 Kent Tamura 2011-06-06 00:27:00 PDT
Comment on attachment 96066 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=96066&action=review

> Source/WebCore/ChangeLog:8
> +        No new tests. (OOPS!)

You need to update this line.  e.g. adding a reason why there is no tests.
Comment 11 Mihnea Ovidenie 2011-06-06 00:41:04 PDT
Created attachment 96068 [details]
Second patch
Comment 12 WebKit Commit Bot 2011-06-06 01:46:34 PDT
Comment on attachment 96068 [details]
Second patch

Clearing flags on attachment: 96068

Committed r88148: <http://trac.webkit.org/changeset/88148>
Comment 13 WebKit Commit Bot 2011-06-06 01:46:40 PDT
All reviewed patches have been landed.  Closing bug.